Bug 248516 - Review Request: nodoka-theme-gnome - The Nodoka Metacity theme and Gnome metatheme
Review Request: nodoka-theme-gnome - The Nodoka Metacity theme and Gnome meta...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On: 248163
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-17 04:26 EDT by Martin Sourada
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-05 16:41:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Martin Sourada 2007-07-17 04:26:35 EDT
Spec URL: http://feannatar.hostuju.cz/fedora/files/development/SPECS/nodoka-theme-gnome.spec
SRPM URL: http://feannatar.hostuju.cz/fedora/files/development/SRPMS/nodoka-theme-gnome-0.3.1.1-1.fc7.src.rpm
Description: This package contains the Nodoka theme for Metacity window manager and Nodoka metatheme for Gnome, the metatheme requires gtk-nodoka-engine and echo-icon-theme.
Comment 1 Matthias Clasen 2007-07-27 13:40:26 EDT
Trivia:

- please use a full source url, if practical

- the emmpty %doc in the file list looks odd, I'd remove that

the description of the main package is a bit misleading:
"The Nodoka Theme Pack for Gnome includes Nodoka Metacity theme, Nodoka gtk2
theme and Echo Icon set." 
since it does not actually include these things, but just pull them in
via dependencies.
Comment 2 Martin Sourada 2007-07-27 15:05:40 EDT
(In reply to comment #1)
> Trivia:
> 
> - please use a full source url, if practical
> 
Same as with gtk-nodoka-theme: as we currently use wiki for upstream I think
it's impractical ATM

> - the emmpty %doc in the file list looks odd, I'd remove that
> 
True, removed

> the description of the main package is a bit misleading:
> "The Nodoka Theme Pack for Gnome includes Nodoka Metacity theme, Nodoka gtk2
> theme and Echo Icon set." 
> since it does not actually include these things, but just pull them in
> via dependencies.
Yes, I changed the includes to make use. Seems saner to me...

New release:

New SPEC:
http://feannatar.hostuju.cz/fedora/files/development/SPECS/nodoka-theme-gnome.spec
New SRPM:
http://feannatar.hostuju.cz/fedora/files/development/SRPMS/nodoka-theme-gnome-0.3.1.1-2.fc7.src.rpm
Comment 3 Matthias Clasen 2007-07-30 00:01:12 EDT
rpmlint is silent on the produced rpms

package name: ok, I think.
spec name: ok
packaging guidelines: mostly ok
  - might be a good idea to put a comment pointing to the wiki location
    of the upstream sources
  - should add a comment about the "inverse relationship" between main
    and subpackage, where the main package requires the subpackage
license: ok
license field: ok
license file: ok
spec language: ok
spec legibility: ok
upstream sources: ok
buildable: ok
excludearch: n/a
build deps: ok
locales: n/a
shared libs: n/a
relocatable: n/a
directory ownership: there is a conflict where both the gtk theme package
 and the metacity theme package own /usr/share/themes/Nodoka. Possible 
 solution: make the metacity theme package require the gtk theme package
file list dupes: ok
file permissions: ok
%clean: ok
macro use: ok
permissible content: ok
large docs: n/a
%doc content: ok
header files: n/a
static libs: n/a
pc files: n/a
shared lib symlinks: n/a
devel package: n/a
libtool archives: n/a
gui apps: n/a
file ownership: see above
%install: ok
utf8 filenames: ok



Comment 5 Matthias Clasen 2007-08-04 20:27:02 EDT
Looks fine now. Approved.
Comment 6 Martin Sourada 2007-08-05 03:20:58 EDT
New Package CVS Request
=======================
Package Name: nodoka-theme-gnome
Short Description: The Nodoka Metacity theme and Gnome metatheme
Owners: martin.sourada@seznam.cz
Branches: 
InitialCC: 
Comment 7 Kevin Fenzi 2007-08-05 14:38:34 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.